/*
  1. Use a more-intuitive box-sizing model.
*/
*,
*::before,
*::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
}
/*
  3. Allow percentage-based heights in the application
*/
html,
body {
  height: 100%;
}
/*
  Typographic tweaks!
  4. Add accessible line-height
  5. Improve text rendering
*/
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
/*
  6. Improve media defaults
*/
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}
/*
  7. Remove built-in form typography styles
*/
input,
button,
textarea,
select {
  font: inherit;
}
/*
  8. Avoid text overflows
*/
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
  text-wrap: balance;
}
/*
  9. Create a root stacking context
*/
#root,
#__next {
  isolation: isolate;
}

body {
  background: #fff;
  color: #333;
  font-size: 62.5%;
  font-family: 'Open Sans', sans-serif;
  font-weight: 400;
  line-height: 1;
}

header {
  background-color: #000;
  height: 100vh;
  padding: 5vh;
  position: relative;
}

header .skip {
  color: #fff;
  font-size: 1.6em;
  left: 0;
  margin: 0 auto;
  position: absolute;
  right: 0;
  text-align: center;
  padding: 24px;
  width: 250px;
}

div.intro {
  bottom: 200px;
  color: #fff;
  left: 0;
  margin: 0 auto;
  position: absolute;
  right: 0;
  width: min(80%, 600px);
}

h1,
h2,
h3 {
  font-family: 'Montserrat', sans-serif;
}

h1 {
  text-align: center;
  font-size: 4em;
  font-weight: 700;
  text-shadow: 3px 3px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.intro span {
  display: block;
  font-size: 2em;
  font-weight: 600;
  margin-top: 32px;
  text-align: center;
}

#hero {
  background: url('images/hero.jpg') center no-repeat;
  background-size: cover;
  height: 100%;
  margin: 0 auto;
  width: 100%;
}

nav {
  bottom: 5vh;
  padding: 4px;
  position: absolute;
  width: calc(100% - 10vh);
}

#main_nav {
  display: flex;
  font-size: 2.4em;
  font-weight: bold;
  gap: 4px;
  list-style: none;
  margin: 0;
  padding: 0;
}

#main_nav li {
  display: flex;
  flex: 1 0 auto;
  text-align: center;
}

#main_nav li a {
  align-items: center;
  background-color: #000;
  color: #fff;
  display: flex;
  flex: 1;
  font-weight: 500;
  justify-content: center;
  line-height: 60px;
  text-decoration: none;
}

/**/

a.link {
  color: #000;
  text-decoration: underline;
}

a.link:hover {
  text-decoration: none;
}

main {
  display: grid;
  grid-template-columns: repeat(var(--bs-columns, 12), 1fr);
  margin: auto;
  padding: 0;
  width: min(90%, 1200px);
}

section {
  border-top: 1px solid #ddd;
  display: flex;
  flex-wrap: wrap;
  grid-column: 1 / 13;
  padding-top: 64px;
}

section + section {
  margin-top: 64px;
}

/**/
section h2,
section h3,
section h4 {
  color: #555;
  font-size: 5em;
  font-weight: 300;
  line-height: 120%;
  margin-bottom: 64px;
  text-align: center;
  width: 100%;
}
section h3 {
  background-color: transparent;
  font-size: 3.6em;
  margin: 48px auto 32px;
  text-transform: uppercase;
}

section h2 + h3 {
  margin-top: 16px;
}

section h4 {
  font-size: 3em;
  margin-top: 32px;
}

div.text {
  margin: 0 auto;
  width: min(100%, 640px);
}

p.text {
  font-size: 1.8em;
  line-height: 160%;
  margin: 0 auto;
  text-align: center;
}

p.text + p.text {
  margin-top: 16px;
}

p.text.c {
  text-align: center;
}

/**/

#onama {
  justify-content: center;
}

/**/

#objekt > div {
  display: grid;
  gap: 64px 0;
  grid-template-columns: 1fr 1fr;
}

#objekt > div > div {
  align-items: center;
  display: flex;
  order: 1;
}

#objekt > div > div.o2 {
  order: 2;
}

#objekt > div > div.desc {
  padding: 32px 64px;
}

#objekt figure {
  margin: 0 auto;
  width: min(100%, 900px);
}

#objekt figure img {
  border: 1px solid #eee;
  width: 100%;
}

#objekt figure a:focus img {
  outline: 5px solid black !important;
}

#objekt figure a:hover img {
  border: 1px solid #000;
}

#objekt figcaption {
  font-size: 1.6em;
  margin-top: 16px;
  text-align: center;
  text-transform: uppercase;
}

/**/

ul.gallery {
  display: grid;
  gap: 16px;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  list-style: none;
  padding: 32px 0 0;
  grid-auto-flow: row dense;
  flex: 0 0 100%;
}

ul.gallery li {
  aspect-ratio: 3 / 2;
  background: #eee;
  border-radius: 8px;
  display: flex;
  justify-content: center;
}

ul.gallery li a {
  border: 2px solid transparent;
  border-radius: 8px;
  display: flex;
  flex: 1;
}

ul.gallery li a:hover {
  border: 2px solid #000;
}

ul.gallery li img {
  background-color: #eee;
  border-radius: 8px;
  object-fit: cover;
  width: 100%;
}

/**/

#opremljenost p {
}

#opremljenost ul {
  display: grid;
  flex-direction: column;
  font-size: 2em;
  gap: 32px;
  grid-template-columns: 1fr 1fr 1fr;
  list-style: none;
  margin: 0 auto 0;
  padding: 0 0 0 20px;
  width: min(100%, 900px);
}

#opremljenost li {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  justify-content: center;
  line-height: 150%;
  text-align: left;
}

#opremljenost span {
  flex: 0 0 100%;
  line-height: 100%;
  text-align: center;
}

#opremljenost span.icon {
  background-color: #eee;
  display: block;
  flex: 0 0 48px;
  height: 48px;
}

#opremljenost span.icon svg {
  height: 48px;
  width: 48px;
}

/**/

table {
  border-collapse: collapse;
  margin: 32px auto 0;
  width: min(100%, 640px);
}

caption {
  caption-side: bottom;
  font-size: 1.6em;
  padding: 10px;
}

th,
td {
  border: 1px solid #aaa;
  font-size: 2em;
  padding: 16px 24px;
  text-align: left;
}

th,
td {
  width: 60%;
}

th + th,
td + td {
  text-align: right;
  width: 40%;
}

/**/

#rezervacija {
  grid-column: 1 / 13;
}

.holder {
  margin: auto;
  width: min(100%, 640px);
}

fieldset.upit {
  border: 0;
  margin: 0 auto;
  max-width: 760px;
  padding: 0;
}

fieldset.upit legend {
  height: 1px;
  overflow: hidden;
  position: absolute;
  width: 1px;
}

fieldset.upit ol {
  list-style: none;
  padding: 0;
}

fieldset.upit li {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

fieldset.upit li + li {
  margin-top: 24px;
}

fieldset.upit li:last-child {
  margin-top: 24px;
}

fieldset.upit li.date {
  justify-content: space-between;
}

fieldset.upit li.date > div {
  flex: 0 0 calc(50% - 6px);
}

fieldset.upit li.chck {
  align-items: flex-start;
  flex-wrap: nowrap;
}

label {
  display: flex;
  font-size: 1.6em;
  margin-bottom: 8px;
}

label.err {
  color: red;
  font-weight: bold;
}

fieldset.upit li.chck label {
  align-items: flex-start;
  display: flex;
  font-size: 1.6em;
  line-height: 125%;
}

fieldset.upit div.provjera {
  align-items: center;
  color: #aaa;
  display: flex;
  margin: 0;
  padding: 0;
  width: 125px;
}

fieldset.upit label.provjera img {
  border: 1px solid #aaa;
  height: 34px;
}

fieldset.upit label.provjera span {
  align-items: center;
  display: flex;
  font-size: var(--p-font-size);
  justify-content: center;
  padding: 0 3px;
  width: 25px;
}

fieldset.upit input.text,
fieldset.upit input.textx,
input.slike,
select,
textarea,
input.submit {
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-sizing: border-box;
  color: #000;
  font-size: 1.8em;
  margin: 0;
  padding: 8px 16px;
  width: 100%;
}

fieldset.upit input.textx {
  width: 120px;
}

#datumi_holder {
  cursor: pointer;
  display: inline-block;
  margin-left: 30px;
  width: calc(100% - 150px);
}

input[data-readonly] {
  background: #fff !important;
  border: 1px solid #f00 !important;
  color: #f00 !important;
  pointer-events: none;

  width: 49% !important;
}

input[data-readonly]:valid {
  background: #fafafa !important;
  border: 1px solid #ddd !important;
  color: #000 !important;
}

input.checkbox {
  margin: 4px 12px 0 0;
}

input.submit {
  background: #000;
  color: #fff;
  cursor: pointer;
  padding: 16px;
  transition: all 0.5s;
}

input.submit:hover {
  background: green;
}

#results.ok,
#results.err {
  margin-bottom: 24px;
}

#results p {
  background: #f7f7f7;
  border: 1px solid #eee;
  flex: 0 0 100%;
  font-weight: bold;
  justify-content: center;
  margin: 0 auto;
  max-width: 760px;
  padding: 16px;
}

#results_inner {
  color: red;
  display: none;
  font-size: 2em;
  text-align: center;
  width: 100%;
}

#results.ok #results_inner {
  color: green;
}

#results.ok #results_inner,
#results.err #results_inner {
  display: flex;
}

#map {
  background-color: #eee;
  height: max(30vh, 500px);
  margin-bottom: 32px;
  width: max(100%, 760px);
}

footer {
  background-color: #000;
  color: #fff;
  font-size: 1.5em;
  margin-top: 64px;
  padding: 48px 5vw;
}

footer div.eu {
  line-height: 160%;
  margin-bottom: 32px;
}

footer div.eu > div {
  display: grid;
  gap: 12px;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 24px auto;
  width: 300px;
}

footer div.eu > div > div {
  align-items: center;
  display: flex;
}

footer div.eu > div > div img {
  width: 100%;
}

footer ul {
  display: flex;
  flex-wrap: wrap;
  gap: 12px 12px;
  justify-content: center;
  list-style: none;
  margin: 0 auto 32px;
  padding: 0;
}

footer a {
  color: #fff;
  text-decoration: underline;
}

footer p {
  text-align: center;
}

footer p + p {
  margin-top: 16px;
}

@media screen and (max-width: 1100px) {
  #main_nav {
    display: grid;
    gap: 2px;
    grid-template-columns: repeat(4, 1fr);
  }

  ul.gallery {
    gap: 12px;
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (max-width: 900px) {
  #main_nav {
    font-size: 2em;
  }

  section h2 {
    font-size: calc(5em * 0.9);
  }

  section h3 {
    font-size: calc(3.6em * 0.9);
  }

  section h4 {
    font-size: calc(3em * 0.9);
  }

  p.text,
  #opremljenost ul,
  th,
  td {
    font-size: calc(2em * 0.9);
  }

  #onama figcaption {
    font-size: calc(1.6em * 0.9);
  }

  #objekt > div {
    grid-template-columns: 1fr;
  }
}

@media screen and (max-width: 750px) {
  #objekt > div > div.desc {
    padding: 32px;
  }

  ul.gallery {
    gap: 8px;
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 600px) {
  div.intro {
    bottom: 300px;
  }

  .intro span {
    display: none;
  }

  #main_nav {
    grid-template-columns: repeat(2, 1fr);
  }

  section {
    padding-top: 48px;
  }

  section + section {
    margin-top: 48px;
  }

  section h2 {
    font-size: calc(5em * 0.8);
  }

  section h3 {
    font-size: calc(3.6em * 0.8);
  }

  section h4 {
    font-size: calc(3em * 0.8);
  }

  p.text,
  #opremljenost ul,
  th,
  td {
    font-size: calc(2em * 0.8);
  }

  td {
    line-height: 150%;
  }
}

@media screen and (max-width: 450px) {
  p.text,
  #opremljenost li,
  th,
  td {
    text-align: left;
  }

  th + th,
  td + td {
    text-align: right;
  }

  fieldset.upit li.date > div {
    flex: 0 0 100%;
  }

  fieldset.upit li.date > div + div {
    margin-top: 16px;
  }
}

@media (orientation: portrait) {
  header {
    padding: 5vw;
  }

  nav {
    bottom: 5vw;
    width: calc(100% - 10vw);
  }
}

.fancybox__caption {
  font-size: 1.6em;
}

:focus {
}

*.focus {
  outline: 5px solid black !important;
}

/**/

.fab svg {
  position: relative;
  top: 15px;
  left: 13px;
}
.fab {
  width: 56px;
  height: 56px;
  border-radius: 28px;
  background: #fff;
  position: sticky;
  bottom: min(5vw, 5vh);
  left: calc(100vw - 56px - min(5vw, 5vh));
  border: 2px solid #000;
}
.fab:hover {
  border-color: transparent;
}
.fab.pulse {
  cursor: pointer;
}

.fab-menu {
  align-items: flex-start;
  background: #e5e7eb;
  border-radius: 3px;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);
  bottom: 70px;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  left: calc(100% - 250px);
  padding: 1.5rem 1rem;
  position: absolute;
  visibility: visible;
  width: 250px;
  cursor: default;
}
.fab-menu p {
  cursor: pointer;
}
.fab-item {
  width: 100%;
  text-align: left;
  font-size: 1.5em;
  padding: 12px;
  border: none;
  background-color: transparent;
  background-image: none;
  cursor: pointer;
}
.fab-item:hover {
  background-color: #000;
  color: #fff;
}
.visible {
  background: #e5e7eb;
  width: 250px;
  height: 325px;
  border-radius: 3px;
  display: block;
}
.displaynone {
  display: none;
}
.dyslexia-font-mode {
  font-family: Lexend, Arial, sans-serif;
  letter-spacing: 2px;
}
.greyscale-mode {
  filter: grayscale(1);
}
.cursor-mode {
  cursor: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyOS4xODgiIGhlaWdodD0iNDMuNjI1Ij48cGF0aCBmaWxsPSIjRkZGIiBzdHJva2U9IiNEOURBRDkiIHN0cm9rZS13aWR0aD0iMS4xNDEiIHN0cm9rZS1taXRlcmxpbWl0PSIxMCIgZD0iTTIuOCA0LjU0OWwyNC4wNDcgMTUuMzUzLTkuODgzIDIuNzk5IDcuMjc1IDE1LjA0OC01Ljk2MSA0LjI2OC04LjUzNy0xMS4yOTMtOC42MDMgNS4wODV6Ii8+PHBhdGggZmlsbD0iIzIxMjYyNyIgZD0iTTI5LjE3NSAyMS4xNTVjLjA3MS0uNjEzLS4xNjUtMS4yNTMtLjYzNS0xLjU3M0wyLjE2NS4yNThBMS4yMzYgMS4yMzYgMCAwMC43My4yMDVDLjI4Mi40OTcgMCAxLjAzIDAgMS42MTd2MzQuMTcxYzAgLjYxMy4zMDYgMS4xNDYuNzc2IDEuNDM5YTEuMjc1IDEuMjc1IDAgMDAxLjQ4Mi0uMTZsNy40ODItNi4zNDQgNi44NDcgMTIuMTU1Yy4yNTkuNDguNzI5Ljc0NiAxLjIuNzQ2LjIzNSAwIC40OTQtLjA4LjcwNi0uMjEzbDYuOTg4LTQuNTg1Yy4zMjktLjIxMy41NjUtLjU4Ni42NTktMS4wMTMuMDk0LS40MjYuMDI0LS44OC0uMTg4LTEuMjI2bC02LjM3Ni0xMS4zODIgOC42MTEtMi43NDVjLjUxOC0uMTg2LjkxOC0uNjkyLjk4OC0xLjMwNXptLTEyLjIxMSAxLjU0NmMtLjQyNC4xMzMtLjc3Ni41MDYtLjk0MS45NmExLjc5NSAxLjc5NSAwIDAwLjExOCAxLjQzOWw2LjU4OCAxMS43ODEtNC41NDEgMi45ODUtNi44OTQtMTIuMzE1Yy0uMjEyLS4zNzMtLjU0MS0uNjQtLjk0MS0uNzItLjA5NC0uMDI3LS4xNjUtLjAyNy0uMjU5LS4wMjctLjMwNiAwLS41ODguMTA3LS44NDcuMzJMMi44IDMyLjU5VjQuNTQ5bDIxLjU5OSAxNS44MDYtNy40MzUgMi4zNDZ6Ii8+PC9zdmc+),
    auto !important;
}
.letter-spacing-mode {
  word-spacing: 2px;
  letter-spacing: 1px;
}
.contrast-mode {
  filter: invert(100%);
  background-color: #111;
}
.text-uppercase {
  text-transform: uppercase;
}
.text-bold {
  font-weight: 700;
}
.text-big {
  font-size: 115%;
}
.text-large {
  font-size: 125%;
}
.text-larger {
  font-size: 135%;
}
.mt-2 {
  -webkit-margin-before: 2rem;
  margin-block-start: 2rem;
}
